Bug 13190 - XPath incorrectly handles namespaces on attributes
Summary: XPath incorrectly handles namespaces on attributes
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: XML (show other bugs)
Version: 523.x (Safari 3)
Hardware: Macintosh OS X 10.4
: P2 Normal
Assignee: Alexey Proskuryakov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-03-25 03:50 PDT by Alexey Proskuryakov
Modified: 2007-03-28 10:04 PDT (History)
0 users

See Also:


Attachments
proposed fix (17.63 KB, patch)
2007-03-25 03:57 PDT, Alexey Proskuryakov
darin: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alexey Proskuryakov 2007-03-25 03:50:01 PDT
Multiple issues; a patch with a test case forthcoming.
Comment 1 Alexey Proskuryakov 2007-03-25 03:57:44 PDT
Created attachment 13810 [details]
proposed fix
Comment 2 Darin Adler 2007-03-27 21:55:43 PDT
Comment on attachment 13810 [details]
proposed fix

r=me
Comment 3 Alexey Proskuryakov 2007-03-28 10:04:37 PDT
Committed revision 20554.